<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
    <link:loc xlink:href="8945002CD61Y1ESWHD11-2025-12-31.xsd#ustremholding_Reserves" xlink:label="Reserves" xlink:title="Reserves" xlink:type="locator" />
    <link:label id="label_ReservesLabel_76525" xlink:label="label_ReservesLabel_76525" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_ReservesLabel_76525" xml:lang="en" xlink:type="resource">Reserves</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="Reserves" xlink:title="label: from Reserves to label_ReservesLabel_76525" xlink:to="label_ReservesLabel_76525" xlink:type="arc" />
    <link:loc xlink:href="8945002CD61Y1ESWHD11-2025-12-31.xsd#ustremholding_ProceedsFromShortTermLoans" xlink:label="ProceedsFromShortTermLoans" xlink:title="ProceedsFromShortTermLoans" xlink:type="locator" />
    <link:label id="label_ProceedsFromShortTermLoansLabel_29195" xlink:label="label_ProceedsFromShortTermLoansLabel_29195" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_ProceedsFromShortTermLoansLabel_29195" xml:lang="en" xlink:type="resource">Proceeds From Short Term Loans</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProceedsFromShortTermLoans" xlink:title="label: from ProceedsFromShortTermLoans to label_ProceedsFromShortTermLoansLabel_29195" xlink:to="label_ProceedsFromShortTermLoansLabel_29195" xlink:type="arc" />
    <link:loc xlink:href="8945002CD61Y1ESWHD11-2025-12-31.xsd#ustremholding_PaymentsOnShortTermLoans" xlink:label="PaymentsOnShortTermLoans" xlink:title="PaymentsOnShortTermLoans" xlink:type="locator" />
    <link:label id="label_PaymentsOnShortTermLoansLabel_45815" xlink:label="label_PaymentsOnShortTermLoansLabel_45815" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_PaymentsOnShortTermLoansLabel_45815" xml:lang="en" xlink:type="resource">Payments On Short Term Loans</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PaymentsOnShortTermLoans" xlink:title="label: from PaymentsOnShortTermLoans to label_PaymentsOnShortTermLoansLabel_45815" xlink:to="label_PaymentsOnShortTermLoansLabel_45815" xlink:type="arc" />
    <link:loc xlink:href="8945002CD61Y1ESWHD11-2025-12-31.xsd#ustremholding_ProceedsFromBusinessCombinations" xlink:label="ProceedsFromBusinessCombinations" xlink:title="ProceedsFromBusinessCombinations" xlink:type="locator" />
    <link:label id="label_ProceedsFromBusinessCombinationsLabel_54800" xlink:label="label_ProceedsFromBusinessCombinationsLabel_54800" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_ProceedsFromBusinessCombinationsLabel_54800" xml:lang="en" xlink:type="resource">Proceeds From Business Combinations</link:label>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProceedsFromBusinessCombinations" xlink:title="label: from ProceedsFromBusinessCombinations to label_ProceedsFromBusinessCombinationsLabel_54800" xlink:to="label_ProceedsFromBusinessCombinationsLabel_54800" xlink:type="arc" />
  </link:labelLink>
</link:linkbase>